## mrmpi 1.0~20110620

=== debian/changelog ===
mrmpi (1.0~20110620-1) experimental; urgency=low

  * Initial Debian Upload (Closes: #646757)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 26 Oct 2011 19:44:12 +0200
