=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE:STRING=RELEASE \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DVTK_INSTALL_EXPORT_NAME:STRING=mrmpi \
	-DVTK_LIBRARY_PROPERTIES:STRING="VERSION;1;SOVERSION;1" \
	-DVTK_INSTALL_INCLUDE_DIR_CM24:STRING=include \
	-DVTK_INSTALL_BIN_DIR_CM24:STRING=bin \
	-DVTK_INSTALL_LIB_DIR_CM24:STRING=lib \
	-DVTK_USE_MPI:BOOL=ON

pkg_run = libmrmpi1
pkg_dev = libmrmpi-dev

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_install:
	# Runtime Package
	dh_install -p$(pkg_run) usr/lib/lib*.so.*
	# Development Package
	dh_install -p$(pkg_dev) usr/include
	dh_install -p$(pkg_dev) usr/lib/lib*.so

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)

UPSTREAM_SRC = mrmpi
UPSTREAM_SRC_DIR = mrmpi-20Jun11
DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz

$(UPSTREAM_SRC).tar.gz:
	wget http://www.cs.sandia.gov/~sjplimp/tars/$@

get-orig-source: $(UPSTREAM_SRC).tar.gz
	tar xzf $(UPSTREAM_SRC).tar.gz
	mv $(UPSTREAM_SRC_DIR) $(DEBIAN_SRC_DIR)
	rm $(DEBIAN_SRC_DIR)/oinkdoc/Manual.pdf
	rm $(DEBIAN_SRC_DIR)/doc/Manual.pdf
	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
