=== debian/watch ===
version=3
http://www.cs.sandia.gov/~sjplimp/tars/mrmpi([\d\.]*)\.tar\.gz
