## mrmpi 1.0~20110620.dfsg

=== debian/changelog ===
mrmpi (1.0~20110620.dfsg-2) unstable; urgency=low

  * Use some tricks to please buildds.

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Apr 2012 22:40:12 +0200

mrmpi (1.0~20110620.dfsg-1) unstable; urgency=low

  * Build documentation (add mrmpi-doc package)
  * Remove DMUA flag, not required
  * Use my d.o alias

 -- Mathieu Malaterre <malat@debian.org>  Fri, 30 Mar 2012 11:01:22 +0200
