## mrmpi 1.0~20130311

=== debian/changelog ===
mrmpi (1.0~20130311-2) unstable; urgency=low

  * Make sure to remove mpi exported symbols
  * Fix d/watch

 -- Mathieu Malaterre <malat@debian.org>  Sun, 09 Jun 2013 11:04:43 +0200

mrmpi (1.0~20130311-1) unstable; urgency=low

  * New upstream. Add d/watch helper
  * Bump Std-Vers to 3.9.4, no changes needed
  * Use new hardening from dh/9
  * Avoid CMake/RelWithDebInfo/NDEBUG issue
  * Add symbols file
  * Make package multi-arch

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2013 16:02:54 +0200
