=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>, Dominique Belhachemi <domibel@debian.org>
-Build-Depends: debhelper (>= 8), cmake (>= 2.6.3), mpi-default-dev
+Build-Depends: debhelper (>= 9), cmake (>= 2.6.3), mpi-default-dev
 Build-Depends-Indep: htmldoc, python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mapreduce.sandia.gov/
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/mrmpi/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/mrmpi/trunk/
@@ -13,7 +13,7 @@
 Package: libmrmpi-dev
 Section: libdevel
 Architecture: any
-Depends: libmrmpi1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libmrmpi1 (= ${binary:Version}), ${misc:Depends}
 Description: Implements MapReduce operation on top of standard MPI message - development
  The MapReduce-MPI (MR-MPI) library is open-source software that implements the
  MapReduce operation popularized by Google on top of standard MPI message
@@ -31,8 +31,10 @@
  applications.
 
 Package: libmrmpi1
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Implements MapReduce operation on top of standard MPI message - runtime
  The MapReduce-MPI (MR-MPI) library is open-source software that implements the
  MapReduce operation popularized by Google on top of standard MPI message
