=== debian/rules ===
--- 
+++ 
@@ -1,33 +1,27 @@
 #!/usr/bin/make -f
 
-DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/buildflags.mk
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CMAKE_FLAGS = \
-	-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
-	-DCMAKE_SKIP_RPATH:BOOL=ON \
+CMAKE_EXTRA_FLAGS = \
+	-DCMAKE_BUILD_TYPE:STRING="" \
 	-DBUILD_SHARED_LIBS:BOOL=ON \
 	-DVTK_INSTALL_EXPORT_NAME:STRING=mrmpi \
 	-DVTK_LIBRARY_PROPERTIES:STRING="VERSION;1;SOVERSION;1" \
 	-DVTK_INSTALL_INCLUDE_DIR_CM24:STRING=include \
 	-DVTK_INSTALL_BIN_DIR_CM24:STRING=bin \
-	-DVTK_INSTALL_LIB_DIR_CM24:STRING=lib \
+	-DVTK_INSTALL_LIB_DIR_CM24:STRING=lib/$(DEB_HOST_MULTIARCH) \
 	-DVTK_USE_MPI:BOOL=ON
 
 pkg_run = libmrmpi1
 pkg_dev = libmrmpi-dev
 pkg_doc = mrmpi-doc
 
-# http://asylum.madhouse-project.org/blog/2012/01/26/buildd-workarounds/
-build: ;
-
 %:
 	dh $@ --buildsystem=cmake --parallel
 
-override_dh_auto_configure-arch:
-	dh_auto_configure -- $(CMAKE_FLAGS)
-override_dh_auto_build-arch:
-	dh_auto_build
+override_dh_auto_configure:
+	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
 
 override_dh_compress:
 	dh_compress -X.pdf
@@ -42,14 +36,10 @@
 
 override_dh_install-arch:
 	# Runtime Package
-	dh_install -p$(pkg_run) usr/lib/lib*.so.*
+	dh_install -p$(pkg_run) usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so.*
 	# Development Package
 	dh_install -p$(pkg_dev) usr/include
-	dh_install -p$(pkg_dev) usr/lib/lib*.so
-
-override_dh_auto_configure-indep: ;
-override_dh_auto_test-indep: ;
-override_dh_auto_install-indep: ;
+	dh_install -p$(pkg_dev) usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so
 
 # Let's be smart with building doc
 override_dh_auto_build-indep:
@@ -81,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-20Jun11
+UPSTREAM_SRC_DIR = mrmpi-11Mar13
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz
