=== debian/watch ===
version=3
opts=uversionmangle=s/^(\d{2})([A-Za-z]+)2?0?(\d{2})/20$3$2$1/ \
http://mapreduce.sandia.gov/bug.html \
  patches/files.(.*)
