## mrmpi 1.0~20130917

=== debian/changelog ===
mrmpi (1.0~20130917-1) unstable; urgency=low

  * New upstream, minor fix for python wrapper

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Oct 2013 14:49:22 +0200

mrmpi (1.0~20130311-3) unstable; urgency=low

  * Remove symbols file for now

 -- Mathieu Malaterre <malat@debian.org>  Mon, 10 Jun 2013 09:07:15 +0200
