=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-11Mar13
+UPSTREAM_SRC_DIR = mrmpi-17Sep13
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz
