=== debian/changelog ===
mrmpi (1.0~20131122-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 14:26:51 -0500

mrmpi (1.0~20131122-1) unstable; urgency=low

  * New upstream
  * Set CMAKE_BUILD_TYPE explicitely to None
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Dec 2013 09:44:14 +0100
