=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CMAKE_EXTRA_FLAGS = \
-	-DCMAKE_BUILD_TYPE:STRING="" \
+	-DCMAKE_BUILD_TYPE:STRING=None \
 	-DBUILD_SHARED_LIBS:BOOL=ON \
 	-DVTK_INSTALL_EXPORT_NAME:STRING=mrmpi \
 	-DVTK_LIBRARY_PROPERTIES:STRING="VERSION;1;SOVERSION;1" \
@@ -71,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-17Sep13
+UPSTREAM_SRC_DIR = mrmpi-22Nov13
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz
