=== debian/changelog ===
mrmpi (1.0~20140404-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat (= 12).
  * Add Rules-Requires-Root: no.
  * Switch build system over to Python 3 (Closes: #943183).

 -- Stuart Prescott <stuart@debian.org>  Sat, 25 Jan 2020 23:24:43 +1100

mrmpi (1.0~20140404-2) unstable; urgency=medium

  * Team upload.

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * Standards-Version: 4.1.3
  * Fix spelling in short description
  * DEP3
  * DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2018 15:41:19 +0100

mrmpi (1.0~20140404-1) unstable; urgency=low

  * New upstream

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Apr 2014 21:25:51 +0200
