=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 pkg_doc = mrmpi-doc
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
@@ -57,7 +57,7 @@
 	# Generate clean HTML files:
 	./mrmpi_txt2html doc/*.txt
 	# 2. OINK:
-	(cd oinkdoc && python Manual.py)
+	(cd oinkdoc && python3 Manual.py)
 	./mrmpi_txt2html -b oinkdoc/*.txt
 	(cd oinkdoc && htmldoc --title --toctitle "Table of Contents" --tocfooter ..i --toclevels 4 \
 		--header ... --footer ..1 --size letter --linkstyle plain --linkcolor blue -f \
@@ -71,7 +71,7 @@
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 
 UPSTREAM_SRC = mrmpi
-UPSTREAM_SRC_DIR = mrmpi-22Nov13
+UPSTREAM_SRC_DIR = mrmpi-7Apr14
 DEBIAN_SRC_DIR = mrmpi-$(VER_FULL)
 DEBIAN_SRC_TAR = mrmpi_$(VER_FULL).orig.tar.gz
